Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class TemporaryAddressType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.TemporaryAddressType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class TemporaryAddressType

extends Object
implements Serializable

Temporary address of a person

Java class for TemporaryAddressType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TemporaryAddressType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CountryCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CountryName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="UnformattedAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TemporaryAddressType()`

Method Summary
`String` | `getCountryCode()` Gets the value of the countryCode property.
`List<NameType>` | `getCountryNames()` Gets the value of the countryNames property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getUnformattedAddress()` Gets the value of the unformattedAddress property.
`void` | `setCountryCode(String value)` Sets the value of the countryCode property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setUnformattedAddress(String value)` Sets the value of the unformattedAddress property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporaryAddressType

    public TemporaryAddressType()

Method Detail

### getCountryCode

    public String getCountryCode()

  Gets the value of the countryCode property.

  Returns:
    possible object is `String`

### setCountryCode

    public void setCountryCode(String value)

  Sets the value of the countryCode property.

  Parameters:
    `value` - allowed object is `String`

### getCountryNames

    public List<NameType> getCountryNames()

  Gets the value of the countryNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

  For example, to add a new item, do as follows:

          getCountryNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getUnformattedAddress

    public String getUnformattedAddress()

  Gets the value of the unformattedAddress property.

  Returns:
    possible object is `String`

### setUnformattedAddress

    public void setUnformattedAddress(String value)

  Sets the value of the unformattedAddress property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.